import request from '@/utils/request'

// 查询列表
export function listRenew(query) {
  return request({
    url: '/personnel/relations/renew/page',
    method: 'get',
    params: query
  })
}

// 查询详细
export function getRenew(dictId) {
  return request({
    url: '/personnel/relations/renew/get?id=' + dictId,
    method: 'get'
  })
}

// 新增
export function addRenew(data) {
  return request({
    url: '/personnel/relations/renew/create',
    method: 'post',
    data: data
  })
}

// 修改
export function updateRenew(data) {
  return request({
    url: '/personnel/relations/renew/update',
    method: 'put',
    data: data
  })
}

// 删除
export function delRenew(dictId) {
  return request({
    url: '/personnel/relations/renew/delete?id=' + dictId,
    method: 'delete'
  })
}

// 导出
export function exportRenew(query) {
  return request({
    url: '/personnel/relations/renew/export-excel',
    method: 'get',
    params: query,
    responseRenew: 'blob'
  })
}